# SAE 2.03 ISR - README

## Liste des membres de l'équipe
- LEPOUTRE Alexandre : alexandre.lepoutre.etu@univ-lille.fr
- SEULIN Ethan : ethan.seulin.etu@univ-lille.fr
- SONNEVILLE Alban : alban.sonneville.etu@univ-lille.fr

## Installation

Un installateur de paquets est disponible sur la [page de téléchargement de Pandoc](https://github.com/jgm/pandoc/releases/tag/3.6.4). 

Il installera Pandoc, remplacera les anciennes versions et mettra à jour votre chemin d'accès pour inclure le répertoire d'installation des binaires de Pandoc.

Pandoc est un outil en ligne de commande. Il ne possède pas d'interface utilisateur graphique.  
Pour l'utiliser, vous devrez donc ouvrir une fenêtre de terminal :

- Sous Windows, vous pouvez utiliser l'invite de commande classique ou le terminal PowerShell.
- Sous Linux, il existe de nombreuses configurations possibles, selon l'environnement de bureau que vous utilisez (généralement accessible via le raccourci clavier Ctrl-Alt-T).

Une fois installée, vous pouvez vérifier l'installation avec la commande ```pandoc --version```

## Utilisation de Pandoc

Pour convertir le rapport Markdown (.md) en HTML (.html), utilisez la commande suivante :  

```pandoc -f markdown -t html -o MAIN.html MAIN.md```

Et pour le convertir en pdf:

```pandoc -f markdown -t html -o MAIN.html MAIN.md```

Certaines options sont disponible comme avoir un sommaires grace à ```--toc```,  
ou encore avoir une numérotation automatique ```--number-sections```:

Exemple : ```pandoc MAIN.md --toc --number-sections -o MAIN.pdf```